net.corda.node.driver

## Class DriverDSL.State

- net.corda.node.driver.DriverDSL.State

- Enclosing class:
    DriverDSL

      public static class DriverDSL.State

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `State()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.LinkedList<net.corda.node.services.messaging.NodeMessagingClient>` | `getClients()`
    `java.util.LinkedList<com.google.common.util.concurrent.ListenableFuture>` | `getRegisteredProcesses()`

- - ### Constructor Detail

    - #### State

          public State()

  - ### Method Detail

    - #### getRegisteredProcesses

          public java.util.LinkedList<com.google.common.util.concurrent.ListenableFuture> getRegisteredProcesses()

    - #### getClients

          public java.util.LinkedList<net.corda.node.services.messaging.NodeMessagingClient> getClients()